# need KRB5CCNAME env if it does not exist on lxplus (eg GSSAPI login)
#  eos mounts will have permissions issues otherwise
if [ -z $KRB5CCNAME ]; then
    if [ ! -z $XDG_RUNTIME_DIR ]; then
  export KRB5CCNAME=FILE:$XDG_RUNTIME_DIR/krb5cc klist
    else
  export KRB5CCNAME=FILE:$TMPDIR/krb5cc klist
    fi
fi

local_alrb_mounts=""
# make all of afs available
if [ -d /afs ]; then
    set_ALRB_ContainerEnv ALRB_CONT_RUNTIMEOPT "apptainer|-B /afs:/afs"
    set_ALRB_ContainerEnv ALRB_CONT_RUNTIMEOPT "podman|-v /afs:/afs"
    local_alrb_mounts="$local_alrb_mounts /afs"
fi

# make all of eos available
if [ -d /eos ]; then
    set_ALRB_ContainerEnv ALRB_CONT_RUNTIMEOPT "apptainer|-B /eos:/eos"
    set_ALRB_ContainerEnv ALRB_CONT_RUNTIMEOPT "podman|-v /eos:/eos"    
    local_alrb_mounts="$local_alrb_mounts /eos"
fi

if [ "$local_alrb_mounts" != "" ]; then
    set_ALRB_ContainerEnv ALRB_CONT_POSTSETUP "echo '$local_alrb_mounts available in this container'"
fi
unset local_alrb_mounts

# set HOME to be the same as the dir on lxplus instead of /home/<user>
# don't do this now as existing container users may be confused.
#set_ALRB_ContainerEnv ALRB_CONT_POSTSETUP "export HOME='$HOME'"
# instead provide a env for users to use if they want to cd to their real HOME
set_ALRB_ContainerEnv ALRB_CONT_POSTSETUP "export UHOME='$HOME'"
